Download it now!
Bug 118564 - FILEOPEN: DOC: Incorrect mapping for CJK numbered lists
Summary: FILEOPEN: DOC: Incorrect mapping for CJK numbered lists
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected
Depends on:
Blocks: CJK DOC-Bullet-Number-Lists
  Show dependency treegraph
 
Reported: 2018-07-06 00:41 UTC by lotus2002
Modified: 2018-10-07 22:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
please open with microsoft word and LibreOffice,the Chinese serial number will change,and shows wrong. (28.50 KB, application/msword)
2018-07-06 00:41 UTC, lotus2002
Details
Comparison LibreOffice 6.2 master and MSO 2010 (18.79 KB, image/png)
2018-07-06 10:31 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lotus2002 2018-07-06 00:41:56 UTC
Created attachment 143340 [details]
please open with microsoft word and LibreOffice,the Chinese serial number will change,and shows wrong.

please open with microsoft word and LibreOffice,the Chinese serial number will change,and shows wrong.
Comment 1 Xisco Faulí 2018-07-06 10:31:17 UTC
Created attachment 143343 [details]
Comparison LibreOffice 6.2 master and MSO 2010
Comment 2 Xisco Faulí 2018-07-06 10:38:07 UTC
The numbering changed from numbers to chinese numbering after https://cgit.freedesktop.org/libreoffice/core/commit/?id=d30a8ec448bcd08c6a52a37d6ae41a4b71c235da

@Mark Hung, I thought you could be interested in this issue...
Comment 3 Commit Notification 2018-07-11 15:45:18 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4dfc014cb3838b61faef32991c8083787ee6d60c

tdf#118564 sw/ww8filter - map NFC 11 to SVX_NUM_NUMBER_LOWER_ZH.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2018-08-15 14:28:42 UTC
A polite ping to Mark Hung:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?

Finally, should it be backported to 6-1 ?

Thanks
Comment 5 Mark Hung 2018-08-15 15:13:05 UTC
Back porting this issue has low risk but I don't see its urgency.